function controls_reorg_knn

global fig data hdl res untreated r plotstr

prompt{1} = ('P value for sample (FROM):');
prompt{2} = ('P value for sample (TO):');
prompt{3} = ('P value for control (FROM):');
prompt{4} = ('P value for control (TO):');
title = 'Enter P value (0 to 1)';
default_ans = {'0','0.1','0.9','1'};
answer = inputdlg(prompt,title,1,default_ans);

if isempty(answer)
    return
end

chk = get(fig.checkplot_graph,'val');
val = get(fig.control,'value');
str = get(fig.control,'string');
valtr = get(fig.treatments,'value');
strtr = get(fig.treatments,'string');

if isempty(str)
    warndlg('Control not selected','Error!!');
    return
else
    ctrltr = hdl.treatments(val);%select the single control
end

if isempty(strtr)
    warndlg('Treatments not selected','Error!!');
    return
else
    trtr = hdl.treatments(valtr);%select the single control
end

% treats = setdiff(hdl.treatments, ctrl);
treats = [ctrltr; trtr];
untreated.zdata = data.zdata(ismember(data.textdata(:,8), ctrltr), :);
untreated.info = data.textdata(ismember(data.textdata(:,8), ctrltr), :);
sz = size(untreated.zdata);

szf = 100000000;

for i = 1:length(treats)
    dataset = data.zdata(ismember(data.textdata(:,8), treats(i)), :);%test
    szt = size(dataset);
    szf = min(szf,szt(1));
end

minsz = min(szf,sz(1));
doubleminsz = 2*minsz(1);

r = randperm(numel(untreated.zdata(:,1)));
% if minsz(1) >= 2000    % Changed January 4,2011 - sudeepa
%     samplesz = 2000;
% else
    if sz(1) >= doubleminsz
        samplesz = minsz(1);
    
    else
        samplesz = round((minsz(1)/2) - 1);
    end
    
% end
sample_size = samplesz
controls = untreated.zdata(r(1:samplesz), :);%benchmark
untreated.binfo = untreated.info(r(1:samplesz), :);
distctrls = untreated.zdata(r(samplesz+1:2*samplesz), :);%controls
untreated.cinfo = untreated.info(r(1:samplesz), :);

% clear untreated val str ctrltr sz szf minsz doubleminsz

for i = 1:length(treats)
    plotstr = char(treats(i));
    dataset = data.zdata(ismember(data.textdata(:,8), treats(i)), :);%test
    trinfo = data.textdata(ismember(data.textdata(:,8), treats(i)), :);
    r = randperm(numel(dataset(:,1)));
    rr = r(1:samplesz);
    dataset = dataset(r(1:samplesz), :);
    res(i).tinfo = trinfo(r(1:samplesz), :);
    numneigh = str2num(get(fig.neighbrs,'string'));
    distsize = 0;
    pvalue = 0.05;
    metric = 'euclidean';
    if chk == 1
        plotdist = 'yes';
    else
        plotdist = 'no';
    end
    res(i).treatment = treats(i);
    [res(i).distdata, res(i).testinfo] = knnonectrl(controls, dataset, numneigh, distsize, pvalue, metric, plotdist, distctrls);
    
    if i == 1
        res_f = find(res(i).distdata.testpvals >= str2num(answer{3}) & res(i).distdata.testpvals <= str2num(answer{4}));
        res(i).control_cellno = length(res(i).distdata.testpvals(res(i).distdata.testpvals >= str2num(answer{3}) & res(i).distdata.testpvals <= str2num(answer{4})));
%         colno = rr(res(i).distdata.testpvals >= str2num(answer{1}));
        ctrl = res(i).tinfo(res(i).distdata.testpvals >= str2num(answer{3}) & res(i).distdata.testpvals <= str2num(answer{4}),:);
        st = sprintf('control_%s',char(treats(i)));
        for k = 1:length(st)
            fst(k) = strcmp('.',st(k));
            if fst(k) == 1
                st = sprintf('control_%d',i);
                break
            end
        end
        save(st,'ctrl')
%         ct = sprintf('control_column_%s.mat',char(treats(i)));
%         save(ct,'colno')
    else
        res(i).control_cellno = length(res(i).distdata.testpvals(res(i).distdata.testpvals >= str2num(answer{1}) & res(i).distdata.testpvals <= str2num(answer{2})));
%         colno = rr(res(i).distdata.testpvals <= str2num(answer{2}));
        ctrl = res(i).tinfo(res(i).distdata.testpvals >= str2num(answer{1}) & res(i).distdata.testpvals <= str2num(answer{2}),:);
        st = sprintf('sample_%s',char(treats(i)));
        for k = 1:length(st)
            fst(k) = strcmp('.',st(k));
            if fst(k) == 1
                st = sprintf('sample_%d',i);
                break
            end
        end
        save(st,'ctrl')
%         ct = sprintf('sample_column_%s.mat',char(treats(i)));
%         save(ct,'colno')
    end
%     clear dataset trinfo r numneigh ct
end

clear chk treats r samplesz controls distctrls dataset numneigh metric plotdist untreated val str ctrl sz szf minsz doubleminsz