function features_reduction_knn

global data treated untreated rslt scr

% separation of test and control
meascontrols = untreated.controls; %control
dataset = treated.dataset; %test

sz = size(meascontrols);

for i = 1:sz(2)
    alldata = vertcat(meascontrols(:,i), dataset(:,i));
    if max(alldata) == min(alldata)
        scr.score(i) = 0;
    else
    [untreated.sortun, idx] = sort(meascontrols(:,i));
    untreated.sortun_data = meascontrols(idx,:);
    untreated.sortun_continfo = untreated.continfo(idx,:);
    
    fract = ceil(0.20*sz(1));
    lastfract = ceil(0.80*sz(1));
    untreated.fractun_l = untreated.sortun(1:fract);
    untreated.fractun_r = untreated.sortun(lastfract:end);
    
    [treated.sorttr, idx] = sort(dataset(:,i));
    treated.sorttr_data = dataset(idx,:);
    treated.sorttr_testinfo = treated.testinfo(idx,:);
       
    treated.fracttr_l = treated.sorttr(treated.sorttr < untreated.fractun_l(end));
    treated.fracttr_r = treated.sorttr(treated.sorttr > untreated.fractun_r(1));
    
    treated.percent_l = length(treated.fracttr_l)/sz(1)*100;
    treated.percent_r = length(treated.fracttr_r)/sz(1)*100;
    
    if treated.percent_l > treated.percent_r
        rslt(i).p_control = treated.sorttr_data(treated.sorttr < untreated.fractun_l(end),:);
        rslt(i).p_info = treated.sorttr_testinfo(treated.sorttr < untreated.fractun_l(end),:);
        scr.score(i) = treated.percent_l;
        
    else
        rslt(i).p_control = treated.sorttr_data(treated.sorttr > untreated.fractun_r(1),:);
        rslt(i).p_info = treated.sorttr_testinfo(treated.sorttr > untreated.fractun_r(1),:);
        scr.score(i) = treated.percent_r;
    end
    end
        
end

[scr.sortscore,scr.ind] = sort(scr.score,'descend');
scr.sortfeatures = data.datahead(scr.ind);

new_sample;
