function initiate_knnonecontrol

clear all
close all

global fig

screensz = get(0,'screensize');

fig.mainwindow = figure('name','MBF_Classify','doublebuffer','on','color',...
    [0.5,0.5,0.5],'toolbar','figure');
% screensz(3)/2.5
set(fig.mainwindow,'position',[50,400,490,screensz(4)-600]);

%%%%%%%%%%%%%%%%%%%

fig.text_selectfile = uicontrol('parent',fig.mainwindow,'style','text',...
    'units','normalized','position',[0.08,0.90,0.22,0.05],'string',...
    'SELECT DATA FILE','fontunits','normalized','fontweight','bold',...
    'backgroundcolor',[0.5 0.5 0.5],'foregroundcolor',[0 0 0]);

fig.text_appendfile = uicontrol('parent',fig.mainwindow,'style','text',...
    'units','normalized','position',[0.58,0.90,0.22,0.05],'string',...
    'APPEND FILES','fontunits','normalized','fontweight','bold',...
    'backgroundcolor',[0.5 0.5 0.5],'foregroundcolor',[0 0 0]);

fig.appendfile = uicontrol('parent',fig.mainwindow,'style','pushbutton',...
    'units','normalized','position',[0.59,0.85,0.2,0.05],'string','Multiple',...
    'fontunits','normalized','fontweight','bold','tooltipstring','Opens file list',...
    'backgroundcolor',[0.9 0.9 0.9],'foregroundcolor',[0 0 0],'callback','append_files_knn');

fig.name_appendfile = uicontrol('parent',fig.mainwindow,'style','text',...
    'units','normalized','position',[0.59,0.78,0.4,0.05],'fontsize',10,'fontunits',...
    'normalized','fontweight','bold','backgroundcolor',[0.5 0.5 0.5],'foregroundcolor',[0 0 0]);

fig.selectfile = uicontrol('parent',fig.mainwindow,'style','pushbutton',...
    'units','normalized','position',[0.09,0.85,0.2,0.05],'string','Single',...
    'fontunits','normalized','fontweight','bold','tooltipstring','Opens file list',...
    'backgroundcolor',[0.9 0.9 0.9],'foregroundcolor',[0 0 0],'callback','load_file_knn');

fig.name_file = uicontrol('parent',fig.mainwindow,'style','text',...
    'units','normalized','position',[0.09,0.78,0.4,0.05],'fontsize',10,'fontunits',...
    'normalized','fontweight','bold','backgroundcolor',[0.5 0.5 0.5],'foregroundcolor',[0 0 0]);

%%%%%%%%%%%%%%%%%%%

fig.text_selectcontrol = uicontrol('parent',fig.mainwindow,'style','text',...
    'units','normalized','position',[0.08,0.72,0.22,0.05],'string',...
    'SELECT CONTROL','fontunits','normalized','fontweight','bold',...
    'backgroundcolor',[0.5 0.5 0.5],'foregroundcolor',[0 0 0]);

fig.control = uicontrol('parent',fig.mainwindow,'style','listbox',...
    'units','normalized','position',[0.08,0.37,0.3,0.35],'Max',1,'Min',1,...
    'fontunits','normalized','fontweight','bold','backgroundcolor',[0.9 0.9 0.9],...
    'foregroundcolor',[0 0 0]);

fig.text_selecttreatments = uicontrol('parent',fig.mainwindow,'style','text',...
    'units','normalized','position',[0.48,0.72,0.4,0.05],'string',...
    'SELECT TREATMENTS','fontunits','normalized','fontweight','bold',...
    'backgroundcolor',[0.5 0.5 0.5],'foregroundcolor',[0 0 0]);

fig.treatments = uicontrol('parent',fig.mainwindow,'style','listbox',...
    'units','normalized','position',[0.55,0.37,0.3,0.35],'Max',40,'Min',1,...
    'fontunits','normalized','fontweight','bold','backgroundcolor',[0.9 0.9 0.9],...
    'foregroundcolor',[0 0 0]);

fig.plot_graph = uicontrol('parent',fig.mainwindow,'style','text',...
    'units','normalized','position',[0.25,0.21,0.4,0.05],'string',...
    'Plot distribution graphs:','fontunits','normalized','fontweight','bold',...
    'backgroundcolor',[0.5 0.5 0.5],'foregroundcolor',[0 0 0]);

fig.checkplot_graph = uicontrol('parent',fig.mainwindow,'style','checkbox',...
    'units','normalized','position',[0.66,0.2,0.08,0.09],...
    'backgroundcolor',[0.5 0.5 0.5],'foregroundcolor',[0 0 0]);

fig.text_neighbrs = uicontrol('parent',fig.mainwindow,'style','text',...
    'units','normalized','position',[0.25,0.15,0.4,0.05],'string',...
    'Number of nearest neighbors:','fontunits','normalized','fontweight','bold',...
    'backgroundcolor',[0.5 0.5 0.5],'foregroundcolor',[0 0 0]);

fig.neighbrs = uicontrol('parent',fig.mainwindow,'style','edit',...
    'units','normalized','position',[0.65,0.15,0.05,0.07],'string',...
    '5','fontunits','normalized','fontweight','bold',...
    'backgroundcolor',[0 0 0],'foregroundcolor',[1 1 1]);

fig.compute_treatment_selection = uicontrol('parent',fig.mainwindow,'style',...
    'pushbutton','units','normalized','position',[0.375,0.05,0.2,0.07],...
    'string','KNN One Control','fontunits','normalized','fontweight','bold',...
    'backgroundcolor',[0.9 0.9 0.9],'foregroundcolor',[0 0 0],'callback','controls_reorg_knn');
