function single_control_knn

clear all
close all

global fig

screensz = get(0,'screensize');

fig.mainwindow = figure('name','MBF_Classify','doublebuffer','on','color',...
    [0.5,0.5,0.5],'toolbar','figure');
% screensz(3)/2.5
set(fig.mainwindow,'position',[50,500,490,screensz(4)-800]);

%%%%%%%%%%%%%%%%%%%

fig.text_selectfile = uicontrol('parent',fig.mainwindow,'style','text',...
    'units','normalized','position',[0.08,0.90,0.22,0.05],'string',...
    'SELECT DATA FILE','fontunits','normalized','fontweight','bold',...
    'backgroundcolor',[0.5 0.5 0.5],'foregroundcolor',[0 0 0]);

fig.selectfile = uicontrol('parent',fig.mainwindow,'style','pushbutton',...
    'units','normalized','position',[0.09,0.80,0.2,0.09],'string','Select',...
    'fontunits','normalized','fontweight','bold','tooltipstring','Opens file list',...
    'backgroundcolor',[0.9 0.9 0.9],'foregroundcolor',[0 0 0],'callback','upload_file');

fig.name_file = uicontrol('parent',fig.mainwindow,'style','text',...
    'units','normalized','position',[0.31,0.80,0.7,0.09],'fontsize',10,'fontunits',...
    'normalized','fontweight','bold','backgroundcolor',[0.5 0.5 0.5],'foregroundcolor',[0 0 0]);

%%%%%%%%%%%%%%%%%%%

fig.text_selecttreatments = uicontrol('parent',fig.mainwindow,'style','text',...
    'units','normalized','position',[0.08,0.67,0.22,0.05],'string',...
    'SELECT CONTROL','fontunits','normalized','fontweight','bold',...
    'backgroundcolor',[0.5 0.5 0.5],'foregroundcolor',[0 0 0]);

fig.treatments = uicontrol('parent',fig.mainwindow,'style','listbox',...
    'units','normalized','position',[0.08,0.05,0.3,0.6],'Max',1,'Min',1,...
    'fontunits','normalized','fontweight','bold','backgroundcolor',[0.9 0.9 0.9],...
    'foregroundcolor',[0 0 0]);

fig.text_clc = uicontrol('parent',fig.mainwindow,'style','text',...
    'units','normalized','position',[0.43,0.47,0.4,0.05],'string',...
    'Exclude Colocalization features:','fontunits','normalized','fontweight','bold',...
    'backgroundcolor',[0.5 0.5 0.5],'foregroundcolor',[0 0 0]);

fig.check_clc = uicontrol('parent',fig.mainwindow,'style','checkbox',...
    'units','normalized','position',[0.83,0.45,0.08,0.09],...
    'backgroundcolor',[0.5 0.5 0.5],'foregroundcolor',[0 0 0]);

% 
% fig.text_neighbrs = uicontrol('parent',fig.mainwindow,'style','text',...
%     'units','normalized','position',[0.43,0.38,0.4,0.05],'string',...
%     'Number of nearest neighbors:','fontunits','normalized','fontweight','bold',...
%     'backgroundcolor',[0.5 0.5 0.5],'foregroundcolor',[0 0 0]);

% fig.neighbrs = uicontrol('parent',fig.mainwindow,'style','edit',...
%     'units','normalized','position',[0.82,0.38,0.05,0.07],'string',...
%     '5','fontunits','normalized','fontweight','bold',...
%     'backgroundcolor',[0 0 0],'foregroundcolor',[1 1 1]);

fig.compute_treatment_selection = uicontrol('parent',fig.mainwindow,'style',...
    'pushbutton','units','normalized','position',[0.57,0.24,0.2,0.09],...
    'string','Process data','fontunits','normalized','fontweight','bold',...
    'backgroundcolor',[0.9 0.9 0.9],'foregroundcolor',[0 0 0],'callback','sample_data');
